Skip to content

GET /.well-known/openid-configuration

Read the OpenID Provider metadata document for e-Próspera.

Endpoint

text
GET /.well-known/openid-configuration

Response

Success Response (200 OK)

The metadata document includes:

FieldExample
issuerhttps://portal.eprospera.com
authorization_endpointhttps://portal.eprospera.com/api/oauth/authorize
token_endpointhttps://portal.eprospera.com/api/oauth/token
userinfo_endpointhttps://portal.eprospera.com/api/oauth/userinfo
jwks_urihttps://portal.eprospera.com/api/oauth/.well-known/jwks.json
response_types_supported["code"]
subject_types_supported["public"]
id_token_signing_alg_values_supported["RS256"]
scopes_supportedsee below
token_endpoint_auth_methods_supported["client_secret_post", "client_secret_basic"]
claims_supportedstandard OIDC claims such as sub, name, email, picture, nonce
code_challenge_methods_supported["S256"]
grant_types_supported["authorization_code", "refresh_token"]

Example Response

json
{
  "issuer": "https://portal.eprospera.com",
  "authorization_endpoint": "https://portal.eprospera.com/api/oauth/authorize",
  "token_endpoint": "https://portal.eprospera.com/api/oauth/token",
  "userinfo_endpoint": "https://portal.eprospera.com/api/oauth/userinfo",
  "jwks_uri": "https://portal.eprospera.com/api/oauth/.well-known/jwks.json",
  "response_types_supported": ["code"],
  "subject_types_supported": ["public"],
  "id_token_signing_alg_values_supported": ["RS256"],
  "scopes_supported": [
    "openid",
    "profile",
    "email",
    "offline_access",
    "eprospera:person.details.read",
    "eprospera:person.residency.read",
    "eprospera:person.id_verification.read",
    "eprospera:entity.read",
    "eprospera:entity.documents.read"
  ],
  "token_endpoint_auth_methods_supported": [
    "client_secret_post",
    "client_secret_basic"
  ],
  "claims_supported": [
    "sub",
    "name",
    "given_name",
    "family_name",
    "email",
    "email_verified",
    "picture",
    "iss",
    "aud",
    "exp",
    "iat",
    "auth_time",
    "nonce"
  ],
  "code_challenge_methods_supported": ["S256"],
  "grant_types_supported": ["authorization_code", "refresh_token"]
}

Notes

  • This is the canonical provider-discovery document used by OIDC clients.
  • The response is publicly cacheable.
  • The JWKS URL in this document points to /api/oauth/.well-known/jwks.json.